KCAPI_PBKDF(3)

NAME
kcapi_pbkdf - Password-based Key Derivation Function

SYNOPSIS

ssize_t kcapi_pbkdf(const char * hashname, const uint8_t * pw, uint32_t pwlen, const uint8_t * salt, size_t saltlen, uint32_t count, uint8_t * key, size_t keylen);

ARGUMENTS

hashname
    [in] kernel crypto API name of a keyed hash (e.g. hmac(sha1))

pw
    [in] Password a key shall be derived from

pwlen
    [in] Length of password string

salt
    [in] Salt as defined in SP800-132

saltlen
    [in] Length of salt buffer

count
    [in] Numbers of iterations to be performed for the PBKDF

key
    [out] Buffer to store the generated key in

keylen
    [in] Size of the key to be generated (i.e. length of the key buffer)

DESCRIPTION

This function is an implementation of the PBKDF as defined in SP800-132.

return 0 upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT